Subject: bug#54296: Add buffer-matching functionality

From: Dmitry Gutov <[email-masked]>
Date: Wed, 15 Jun 2022 19:51:42 +0300

On 15.06.2022 19:17, Eli Zaretskii wrote:
> Did you see that "was" part in what I wrote above?  I was only
> describing what I meant to say back then, that's all.

Because your opinion made it into reality.

The main problem was caused by the divergence from your suggestion 
(apparently), but I'm also discussing more minor ones.

> Why beat that
> long-dead horse 3 months after it died?

Are you going to be fine with me changing 'buffer-match-p' to match the 
older contract of 'project-kill-buffer-conditions', with both 
'major-mode' and 'derived-mode' matchers included?

If yes, no more questions from me.